<?php
session_start();
include(__DIR__ . '/../db/conexion.php');

if (!isset($_SESSION['user_id']) || empty($_SESSION['user_id'])) {
    die("Error: Usuario no autenticado.");
}


// Verificar si el usuario está logueado
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php'); // Si no está logueado, redirigir al login
    exit();
}

$user_id = $_SESSION['user_id'];

// Consultar los datos del usuario desde la base de datos
$sql = "SELECT nombre, apellido_paterno, apellido_materno, fecha_nacimiento, genero, attuid, puesto, departamento, fecha_ingreso, correo, telefono, no_empleado  FROM reclutadores WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $user_id);
$stmt->execute();
$result = $stmt->get_result();

// Verificar si el usuario existe
if ($result->num_rows === 1) {
    $user = $result->fetch_assoc();
} else {
    echo "Error al obtener los datos del usuario";
    exit();
}
?>
